---
search:
  tags:
    - 購入リンク
    - GET
seo:
  description: >-
    必要なスコープ: checkout_links:read。 Reference for the GET
    /products/{product_id}/checkout-link endpoint in the Cozeni 外部 API.
sidebar:
  label: 商品の購入リンクを取得する
  badge: GET
title: 商品の購入リンクを取得する
type: openapi-operation
---
必要なスコープ: checkout_links:read。

`GET /products/{product_id}/checkout-link`

**Responses**

- `200` — 標準チェックアウトリンク。
- `400` — invalid\_input。未知フィールド、無効なcursor・入力を含む。
- `401` — unauthorized。失効、期限切れ、環境違いを含む。
- `403` — insufficient\_scope。
- `404` — product\_not\_found / checkout\_link\_not\_found。他人の商品も404。
- `409` — idempotency\_conflict / product\_archived / checkout\_link\_disabled。
- `429` — rate\_limited。
- `500` — internal。
- `503` — unavailable。

Response example, 200:

```json
{
  "id": "string",
  "product_id": "string",
  "url": "http://example.com",
  "disabled": true
}
```
